%define gcj_support     0
%define eclipse_base     %{_libdir}/eclipse
%define eclipse_dropin   %{_datadir}/eclipse/dropins/gef
%define install_loc         %{_datadir}/eclipse/dropins

Summary:        Graphical Editor Framework (GEF) plugin for Eclipse
Name:           eclipse-gef
Version:        3.4.2
Release:        %mkrel 0.1.0
License:        Eclipse Public License
Group:          Development/Java
URL:            http://www.eclipse.org/gef/

# Generate the source drop for GEF 3.3 using the enclosed script:
# sh ./fetch-gef.sh
Source0:        gef-%{version}.tar.gz

BuildRequires:    eclipse-pde >= 3.3
BuildRequires:    zip
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel >= 1.0.33
%else
BuildRequires:    java-devel >= 1.4.2
%endif

%if %{gcj_support}
ExclusiveArch:    %{ix86} x86_64 ppc ia64
%else
BuildArch:        noarch
%endif

Requires:       eclipse-platform >= 3.3

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%package        sdk
Summary:        Eclipse GEF SDK
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}

%package        examples
Summary:        Eclipse GEF examples
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-sdk = %{version}-%{release}

%description
The eclipse-gef package contains Eclipse features and plugins that comprise
the Graphical Editor Framework for Eclipse.

%description    sdk
Source and documentation for Eclipse GEF for use within Eclipse.

%description    examples
Example source code that demonstrates how to use Eclipse GEF.

%prep
%setup -q -n gef-%{version}

rm -r org.eclipse.gef-feature/sourceTemplateFeature
rm -r org.eclipse.draw2d-feature/sourceTemplateFeature
rm -r org.eclipse.zest-feature/sourceTemplateFeature

# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

%build
# build all features
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.gef.all \
  -a "-DjavacTarget=1.6 -DjavacSource=1.6"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -d %{buildroot}%{eclipse_dropin} build/rpmBuild/org.eclipse.gef.all.zip

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root,-)
%dir %{eclipse_dropin}
%doc %{eclipse_dropin}/eclipse/epl-v10.html
%doc %{eclipse_dropin}/eclipse/notice.html
%doc %{eclipse_dropin}/eclipse/readme
%{eclipse_dropin}/eclipse/content.xml
%{eclipse_dropin}/eclipse/features/org.eclipse.gef_*
%{eclipse_dropin}/eclipse/features/org.eclipse.draw2d_*
%{eclipse_dropin}/eclipse/features/org.eclipse.zest_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.draw2d_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.zest.core_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.zest.layouts_*

%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/org.eclipse.gef_*
%{_libdir}/gcj/%{name}/org.eclipse.draw2d_*
%{_libdir}/gcj/%{name}/org.eclipse.zest.core_*
%{_libdir}/gcj/%{name}/org.eclipse.zest.layouts_*
%endif

%files sdk
%defattr(-,root,root,-)
%doc %{eclipse_dropin}/eclipse/epl-v10.html
%doc %{eclipse_dropin}/eclipse/notice.html
%doc %{eclipse_dropin}/eclipse/readme
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.sdk_*
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.source_*
%{eclipse_dropin}/eclipse/features/org.eclipse.draw2d.sdk_*
%{eclipse_dropin}/eclipse/features/org.eclipse.draw2d.source_*
%{eclipse_dropin}/eclipse/features/org.eclipse.zest.sdk_*
%{eclipse_dropin}/eclipse/features/org.eclipse.zest.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.doc.isv_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.ui.pde_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.draw2d.doc.isv_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.draw2d.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.zest.source_*

%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.ui.pde_*
%endif

%files examples
%defattr(-,root,root,-)
%doc %{eclipse_dropin}/eclipse/epl-v10.html
%doc %{eclipse_dropin}/eclipse/notice.html
%doc %{eclipse_dropin}/eclipse/readme
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.all_*
%{eclipse_dropin}/eclipse/features/org.eclipse.gef.examples_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.flow_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.logic_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.shapes_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.source_*
%{eclipse_dropin}/eclipse/plugins/org.eclipse.gef.examples.text_*

%if %{gcj_support}
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.flow_*
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.logic_*
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.shapes_*
%{_libdir}/gcj/%{name}/org.eclipse.gef.examples.text_*
%endif


%changelog
* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 3.4.2-0.1.0mdv2009.1
+ Revision: 348896
- New upstream release

* Mon Jan 12 2009 Jérôme Soyer <saispo@mandriva.org> 3.4.1-0.2.0mdv2009.1
+ Revision: 328748
- Include missing files
- Add zip to BR and fix files section

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 19 2007 David Walluck <walluck@mandriva.org> 3.3.0-0.1.1mdv2008.1
+ Revision: 100060
- call java instead of eclipse since we mysteriously run out of memory on the i586 bot
- 3.3.0

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 0:3.2.1-4.4mdv2008.0
+ Revision: 87976
- use macros for rebuild-gcj-db

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:3.2.1-4.3mdv2008.0
+ Revision: 87360
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 0:3.2.1-4.2mdv2008.0
+ Revision: 82874
- rebuild


* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 0:3.2.1-4.1mdv2007.1
+ Revision: 141519
- Import eclipse-gef

* Sun Mar 11 2007 David Walluck <walluck@mandriva.org> 0:3.2.1-4.1mdv2007.1
- release

* Tue Jan 30 2007 Andrew Overholt <overholt@redhat.com> 3.2.1-4
- Use copy-platform in %%{eclipse_base}.

* Mon Nov 06 2006 Andrew Overholt <overholt@redhat.com> 3.2.1-3
- Use copy-platform in %%{_libdir}.
- Use binary launcher rather than startup.jar to guard against future
  osgi.sharedConfiguration.area changes.

* Fri Oct 20 2006 Andrew Overholt <overholt@redhat.com> 3.2.1-2
- Fix buildroot (don't know how the wrong one slipped in).

* Fri Oct 20 2006 Andrew Overholt <overholt@redhat.com> 3.2.1-1
- 3.2.1.

* Wed Aug 30 2006 Andrew Overholt <overholt@redhat.com> 3.2.0-2
- First release for Fedora.

* Wed Aug 23 2006 Andrew Overholt <overholt@redhat.com> 3.2.0-1jpp_2rh
- -devel -> -sdk to match upstream..

* Wed Jul 26 2006 Andrew Overholt <overholt@redhat.com> 3.2.0-1jpp_1rh
- 3.2.0.

* Wed May 03 2006 Ben Konrath <bkonrath@redhat.com> 3.1.1-1jpp_2rh
- Remove -debug from compile line.
- Add expamples package.

* Tue Apr 04 2006 Ben Konrath <bkonrath@redhat.com> 3.1.1-1jpp_1rh
- Add devel package. 
- Update sources to 3.1.1.
- Some general spec file cleanup.
- Add patch to stop the gefbuilder plugin from setting bootclasspath.
- Change copyright to license.
- Add instructions for generating source drop.

* Wed Sep 07 2005 Aaron Luchko  <aluchko@redhat.com> 3.1.0-1
- change to match eclipse-changelog.spec and fixed typos

* Fri Aug 05 2005 Aaron Luchko  <aluchko@redhat.com>
- Updated to 3.1.0
- added createTarball.sh, gefSource.sh, and build.xml.patch
- added native build
- changes to use eclipsebuilder
- fixes from Matthias Saou

* Tue Jun 28 2005 Aaron Luchko <aluchko@redhat.com> 3.0.1-8
- Added x86_64

* Tue May 03 2005 Ben Konrath <bkonrath@redhat.com> 3.0.1-7
- Build against Eclipse 3.0.2.

* Fri Apr 01 2005 Phil Muldoon <pmuldoon@redhat.com> 3.0.1-6
- Migrate RHEL-3 sources to RHEL-4

* Mon Nov 01 2004 Phil Muldoon  <pmuldoon@redhat.com> 3.0.1-5
- Stopped ant trying to replace about.mappings

* Mon Nov 01 2004 Phil Muldoon  <pmuldoon@redhat.com> 3.0.1-4
- Changed tar name to new tar

* Mon Nov 01 2004 Phil Muldoon  <pmuldoon@redhat.com> 3.0.1-3
- Touch build scripts to point to 3.0.1

* Mon Nov 01 2004 Phil Muldoon  <pmuldoon@redhat.com> 3.0.1-2
- Explicitly set -DJAVADOC14_HOME=%%{java_home}/bin to build javadocs

* Sun Oct 31 2004 Phil Muldoon <pmuldoon@redhat.com> 3.0.1-1
- Initial Import

